package com.zipcodewilmington.froilansfarm.Animals;

import com.zipcodewilmington.froilansfarm.Edible;
import com.zipcodewilmington.froilansfarm.Fertilizable;

public class Egg implements Edible, Fertilizable {


    private static int eggCount = 30;
    private boolean isFertilized = false;


    public boolean getIsFertilized() {
        return isFertilized;
    }
    public boolean setIsFertilized(boolean rooster) {
        //if no roosters in chicken coop that yeilds egg
        return rooster;
    }

    public boolean isEdible(){
        return !getIsFertilized();
    };

    public void foodIsEaten(int numberEaten){
        eggCount -= numberEaten;
    };

    public void foodIsAdded(int foodAdded){
        if(isEdible()){eggCount += foodAdded;}
    }

    public int getFoodCount() {
        return eggCount;
    }
}
