package com.zipcodewilmington.froilansfarm.Holders;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.Map;

public class Field {

    private Map<Integer, CropRow> fieldMap;
    private int rowNumber=0;
    private static boolean isFertilized = false;

    public void setFertilized(boolean fertilized) {
        isFertilized = fertilized;
    }

    public boolean getIsFertilized() {
        return isFertilized;
    }

    public Field() {

        fieldMap = new LinkedHashMap<Integer, CropRow>();

    }

    public void addToField(CropRow cropRow){
        fieldMap.put(setRowNumber(), cropRow);
    }

    public int setRowNumber() {
        return ++rowNumber;
    }

    public int getRowNumber() {
        return rowNumber;
    }
}
