package com.zipcodewilmington.froilansfarm;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import com.zipcodewilmington.froilansfarm.Holders.Farm;

public class SaturdayTest {
    Farm farm;
    int eggFirstCount;

    @Before
    public void setup(){
        farm = new Farm();
        farm.populateFarm();
        farm.morningRoutine();
        eggFirstCount = farm.getEgg().getFoodCount();
    }

    @Test
    public void collectEggTest(){
        farm.getFroilanda().collectEggs(farm.getEgg(), farm.getCoop1().getCoopCount());
        int secondEggCount = farm.getEgg().getFoodCount();
        int expected = 4;
        int actual = secondEggCount-eggFirstCount;
        Assert.assertEquals(expected,actual);
    }

}
