package com.zipcodewilmington.froilansfarm.Holders;

import com.zipcodewilmington.froilansfarm.PlantsAndCrops.ArbitraryCrop;
import com.zipcodewilmington.froilansfarm.PlantsAndCrops.Crop;

public class CropRow {

    private int numberPlanted;
    private Crop cropType;
    private Crop arbitrary = new ArbitraryCrop();

    public CropRow(Crop cropType, int numberPlanted) {
        this.cropType=cropType;
        this.numberPlanted=numberPlanted;
    }

    public CropRow( int numberPlanted) {
        this.cropType=arbitrary;
        this.numberPlanted=numberPlanted;
    }

    public Crop getCropType() {
        return cropType;
    }

    public int getNumberPlanted() {
        return numberPlanted;
    }

    public void setNumberPlanted(int numberPlanted) {
        this.numberPlanted = numberPlanted;
    }
}
