package com.zipcodewilmington.froilansfarm.Holders;

import com.zipcodewilmington.froilansfarm.Animals.*;
import com.zipcodewilmington.froilansfarm.PlantsAndCrops.CornEar;
import com.zipcodewilmington.froilansfarm.PlantsAndCrops.CornStalk;
import com.zipcodewilmington.froilansfarm.PlantsAndCrops.Tomato;
import com.zipcodewilmington.froilansfarm.PlantsAndCrops.TomatoPlant;
import com.zipcodewilmington.froilansfarm.Vehicle.CropDuster;
import com.zipcodewilmington.froilansfarm.Vehicle.Tractor;


public class Farm  {

    private Field field = new Field();
    private CornStalk cornStalk = new CornStalk();
    private TomatoPlant tomatoPlant = new TomatoPlant();
    private CropRow row1 = new CropRow(cornStalk, 0);
    private CropRow row2 = new CropRow(tomatoPlant, 0);
    private CropRow row3 = new CropRow(cornStalk, 0);
    private FarmHouse house = new FarmHouse();
    private Froilan froilan = new Froilan();
    private Freelan freelan = new Freelan();
    private Froilanda froilanda = new Froilanda();
    private ChickenCoop coop1 = new ChickenCoop(4);
    private ChickenCoop coop2 = new ChickenCoop(4);
    private ChickenCoop coop3 = new ChickenCoop(4);
    private ChickenCoop coop4 = new ChickenCoop(4);
    private Stable stable1 = new Stable(3);
    private Stable stable2 = new Stable(3);
    private Stable stable3 = new Stable(3);
    private Tractor tractor1 = new Tractor();
    private Tractor tractor2 = new Tractor();
    private CropDuster cropDuster = new CropDuster();
    private Horse horse = new Horse();
    private CornEar corn = new CornEar();
    private Tomato tomato = new Tomato();
    private Egg egg = new Egg();

    public Horse getHorse() {
        return horse;
    }
    public Froilan getFroilan(){
        return froilan;
    }

    public Freelan getFreelan() {
        return freelan;
    }

    public Froilanda getFroilanda() {
        return froilanda;
    }

    public CornEar getCorn() {
        return corn;
    }

    public Tomato getTomato() {
        return tomato;
    }

    public Stable getStable1() {
        return stable1;
    }

    public Stable getStable2() {
        return stable2;
    }

    public Stable getStable3() {
        return stable3;
    }

    public Egg getEgg() {
        return egg;
    }

    public CropRow getRow3() {
        return row3;
    }

    public CropRow getRow2() {
        return row2;
    }

    public CropRow getRow1() {
        return row1;
    }

    public CropDuster getCropDuster() {
        return cropDuster;
    }

    public Field getField() {
        return field;
    }

    public Tractor getTractor1() {
        return tractor1;
    }

    public Tractor getTractor2() {
        return tractor2;
    }
    public CornStalk getCornStalk(){
        return cornStalk;
    }

    public ChickenCoop getCoop1() {
        return coop1;
    }

    public void populateFarm(){
        house.addToFarmHpuse(froilan);
        house.addToFarmHpuse(froilanda);
        house.addToFarmHpuse(freelan);
        field.addToField(row1);
        field.addToField(row2);
        field.addToField(row3);
      //  field.addToField(row4);
      //  field.addToField(row5);
    }

    public void morningRoutine(){
        froilan.setIsMounted();
        horse.ride(froilan, stable1);
        horse.ride(froilan, stable2);
        horse.ride(froilan, stable3);
        for(int i=0; i<stable1.getHorses(); i++) {
            horse.eat(corn, 3);
        }
        for(int i=0; i<stable2.getHorses(); i++) {
            horse.eat(corn, 3);
        }
        for(int i=0; i<stable3.getHorses(); i++) {
            horse.eat(corn, 3);
        }
        froilan.eat(corn, 1);
        froilan.eat(tomato, 2);
        froilan.eat(egg, 5);
        froilanda.eat(corn, 2);
        froilanda.eat(tomato, 1);
        froilanda.eat(egg, 2);
        froilan.eat(tomato, 3);
        froilan.eat(egg, 2);

    }


}
