package com.zipcodewilmington.froilansfarm.Vehicle;

import com.zipcodewilmington.froilansfarm.Animals.Person;
import com.zipcodewilmington.froilansfarm.NoiseMaker;
import com.zipcodewilmington.froilansfarm.Ridable;

public class Vehicle implements Ridable, NoiseMaker {



    public String makeNoise(){
        return "VROOM VROOM!";
    }


    public boolean getIsRideable(Person person){
        return person.getIsMounted();
    }


    public String ride(Person person){
     String result = "No transportation today";
     if(getIsRideable(person)){
         result = "Moving around on a vehicle";
     }

        return result;
    }


}
