package com.zipcodewilmington.froilansfarm;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import com.zipcodewilmington.froilansfarm.Holders.Farm;

public class ThursdayTest {

    Farm farm;

    @Before
    public void setup(){
        farm = new Farm();
        farm.populateFarm();
        farm.morningRoutine();
    }

    //On thursdays Freelan and Froilanda go for joy rides in the crop duster
    @Test
    public void freelanJoyRideTest() {
        farm.getFreelan().setIsMounted();
        String actual = farm.getCropDuster().ride(farm.getFreelan());
        String expected = "We're flying!";
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void froilandaJoyRideTest() {
        farm.getFroilanda().setIsMounted();
        String actual = farm.getCropDuster().ride(farm.getFroilanda());
        String expected = "We're flying!";
        Assert.assertEquals(expected, actual);
    }
}
